org.apache.activemq.artemis.jms.client

## Class ActiveMQQueueBrowser

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQQueueBrowser

- All Implemented Interfaces:
    AutoCloseable, javax.jms.QueueBrowser

      public final class ActiveMQQueueBrowser
      extends Object
      implements javax.jms.QueueBrowser

  ActiveMQ Artemis implementation of a JMS QueueBrowser.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQQueueBrowser(ConnectionFactoryOptions options, ActiveMQQueue queue, String messageSelector, ClientSession session, boolean enable1xPrefixes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Enumeration` | `getEnumeration()`
    `String` | `getMessageSelector()`
    `javax.jms.Queue` | `getQueue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveMQQueueBrowser

          protected ActiveMQQueueBrowser(ConnectionFactoryOptions options,
                                         ActiveMQQueue queue,
                                         String messageSelector,
                                         ClientSession session,
                                         boolean enable1xPrefixes)
                                  throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### close

          public void close()
                     throws javax.jms.JMSException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### getEnumeration

          public Enumeration getEnumeration()
                                     throws javax.jms.JMSException

      Specified by:
        `getEnumeration` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### getMessageSelector

          public String getMessageSelector()
                                    throws javax.jms.JMSException

      Specified by:
        `getMessageSelector` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### getQueue

          public javax.jms.Queue getQueue()
                                   throws javax.jms.JMSException

      Specified by:
        `getQueue` in interface `javax.jms.QueueBrowser`
      Throws:
        `javax.jms.JMSException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.